
%define	x11major	6
%define	xcbmajor	1

%define libx11 %mklibname x11_ %{x11major}
%define develname %mklibname x11 -d
%define staticname %mklibname x11 -s -d
%define libxorgoldname %mklibname xorg-x11

Name: libx11
Summary: X Library
Version: 1.6.5
Release: %mkrel 1
Group: System/Libraries
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libX11-%{version}.tar.xz
Patch0: libX11-1.3.5-fix-null-pointer.patch
Patch1:	 libx11-fix-segfault.diff
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: libxorg-x11
Provides: libxorg-x11
BuildRequires: x11-util-macros
BuildRequires: x11-xtrans-devel
BuildRequires: libxdmcp-devel
BuildRequires: libxau-devel
BuildRequires: x11-proto-devel
BuildRequires: groff
BuildRequires: docbook-dtd43-xml
BuildRequires: xcb-devel
BuildRequires: xmlto
BuildRequires: x11-sgml-doctools
Requires(pre): x11-server-common
Obsoletes:	%name < %version

%description
%{name} contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

#-----------------------------------------------------------

%package -n %{libx11}
Summary: X Library
Group: Development/X11
Conflicts: %{libxorgoldname} < 7.0
Provides: %{name} = %{version}
Requires(post): grep
Requires(postun): grep coreutils

%description -n %{libx11}
%{name} contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

%post -n %{libx11}
if  grep -q "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf; then
    grep -v "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
    /sbin/ldconfig
fi

%postun -n %{libx11}
if [ "$1" = "0" \
   -a "`grep "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf`" != "" ]; then
    grep -v "^%{_prefix}/X11R6/lib$" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
    /sbin/ldconfig
fi

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libx11} = %{version}-%{release}
Requires: x11-proto-devel >= 1.0.0
Provides: libx11-devel = %{version}-%{release}
Conflicts: %{libxorgoldname}-devel < 7.0
Provides: libx11_6-devel = %{version}-%{release}
Obsoletes: %{mklibname x11_ 6}-devel
Provides: X11-devel

%description -n %{develname}
%{name} includes the libraries, header files and documentation
you'll need to develop programs which run in X clients. X11 includes
the base Xlib library as well as the Xt and Xaw widget sets.

For guidance on programming with these libraries, O'Reilly & Associates
produces a series on X programming which you might find useful.

Install %{name} if you are going to develop programs which
will run as X clients.

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_mandir}/man3/*.3.*
%{_libdir}/libX11.so
%{_libdir}/pkgconfig/x11.pc
%{_includedir}/X11/cursorfont.h
%{_includedir}/X11/ImUtil.h
%{_includedir}/X11/Xlocale.h
%{_includedir}/X11/Xcms.h
%{_includedir}/X11/Xlibint.h
%{_includedir}/X11/Xlib.h
%{_includedir}/X11/Xresource.h
%{_includedir}/X11/Xregion.h
%{_includedir}/X11/Xutil.h
%{_includedir}/X11/XlibConf.h
%{_includedir}/X11/XKBlib.h
%{_libdir}/libX11-xcb.so
%{_libdir}/pkgconfig/x11-xcb.pc
%{_includedir}/X11/Xlib-xcb.h
%{_mandir}/man5/*.5*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Conflicts: %{libxorgoldname}-static-devel < 7.0
Provides: libx11-static-devel = %{version}-%{release}
Provides: libx11_6-static-devel = %{version}-%{release}
Obsoletes: %{mklibname x11_ 6}-static-devel

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libX11.a
%{_libdir}/libX11-xcb.a

#-----------------------------------------------------------

%package common
Summary: Common files used by the X.org
Group: System/X11

%description common
Common files used by the X.org

%files common
%defattr(-,root,root)
%dir %{_datadir}/X11/locale
%{_datadir}/X11/locale/*
%{_datadir}/X11/XErrorDB
%{_datadir}/X11/Xcms.txt

#-----------------------------------------------------------

%prep
%setup -q -n libX11-%{version}
%patch0 -p1
%patch1 -p1

%build
autoreconf -fi
%configure2_5x --with-xmlto=no --with-xsltproc=no

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_datadir}/doc

%clean
rm -rf %{buildroot}


%post
/bin/ldconfig

%postun
/sbin/ldconfig

%posttrans common
#get rid of old dkms junk here
rm -rf /var/lib/dkms/nvidia173


%files -n %{libx11}
%defattr(-,root,root)
%{_libdir}/libX11.so.%{x11major}*
%{_libdir}/libX11-xcb.so.%{xcbmajor}*


%changelog
* Mon Mar 20 2017 adrianomorselli <adrianomorselli> 1.6.5-1uplos2017
- update
